<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:48:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConstraintSpecification (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConstraintSpecification (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintRule.html" title="interface in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintWithVSLlFactory.html" title="interface in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html" target="_top">Frames</a></li>
<li><a href="ConstraintSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl</div>
<h2 title="Interface ConstraintSpecification" class="title">Interface ConstraintSpecification</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/impl/ConstraintSpecificationImpl.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl.impl">ConstraintSpecificationImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ConstraintSpecification</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Constraint Specification</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
 <li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpression--"><code><em>Expression</em></code></a></li>
 </ul>
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintWithVSLlPackage.html#getConstraintSpecification--"><code>ConstraintWithVSLlPackage.getConstraintSpecification()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Element</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getContextElement--">getContextElement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpectedType--">getExpectedType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl/apidocs/org/eclipse/papyrus/marte/vsl/vSL/Expression.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpression--">getExpression</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Expression</b></em>' containment reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#setExpression-org.eclipse.papyrus.marte.vsl.vSL.Expression-">setExpression</a></span>(<a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl/apidocs/org/eclipse/papyrus/marte/vsl/vSL/Expression.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpression--"><code><em>Expression</em></code></a>' containment reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExpression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpression</h4>
<pre><a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl/apidocs/org/eclipse/papyrus/marte/vsl/vSL/Expression.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;getExpression()</pre>
<div class="block">Returns the value of the '<em><b>Expression</b></em>' containment reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Expression</em>' containment reference isn't clear, there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Expression</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#setExpression-org.eclipse.papyrus.marte.vsl.vSL.Expression-"><code>setExpression(Expression)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintWithVSLlPackage.html#getConstraintSpecification_Expression--"><code>ConstraintWithVSLlPackage.getConstraintSpecification_Expression()</code></a></dd>
</dl>
</li>
</ul>
<a name="setExpression-org.eclipse.papyrus.marte.vsl.vSL.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExpression</h4>
<pre>void&nbsp;setExpression(<a href="https://eclipse.org/papyrus/components/MARTE/org.eclipse.papyrus.marte.core/org.eclipse.papyrus.marte.vsl/apidocs/org/eclipse/papyrus/marte/vsl/vSL/Expression.html?is-external=true" title="class or interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpression--"><code><em>Expression</em></code></a>' containment reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Expression</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html#getExpression--"><code>getExpression()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExpectedType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpectedType</h4>
<pre>org.eclipse.uml2.uml.Type&nbsp;getExpectedType()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getContextElement--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getContextElement</h4>
<pre>org.eclipse.uml2.uml.Element&nbsp;getContextElement()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintSpecification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintRule.html" title="interface in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintWithVSLlFactory.html" title="interface in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.constraintWithVSLl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/constraintWithVSLl/ConstraintSpecification.html" target="_top">Frames</a></li>
<li><a href="ConstraintSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
